--------------------------------------------------
-- Mir AI Mod
--------------------------------------------------
-- Here you can add new stuff or changes to Mir AI
-- without the need to modify AI.lua at every release

--------------------------------------------------
-- Libraries
--------------------------------------------------
-- require "./AI/USER_AI/extra.lua" -- example

--------------------------------------------------
-- Extra Globals
--------------------------------------------------
-- MyExtraGlobal1 = 0 -- example
-- MyExtraGlobal2 = 0 -- example

--------------------------------------------------
function ModInit()
-- plugin initialization
--------------------------------------------------
--[[
   This function is called in the Mir AI initialization procedure.
   Here you can even replace functions with your own functions;
   example of function replacement:

   DoSkill_AAP = DoSkill_MyAAP -- replaces Auto Aid Potion function
--]]
end

--[[
### Example ###
This is as example of custom Auto Aid Potion function,
that does first aid instead of aid potion (lol)
--------------------------------------------------
function	DoSkill_MyAAP(CurrHPVar)
--------------------------------------------------
   SkillObject(MyID, 1, 142, MyID)
end
--]]

--------------------------------------------------
-- Fast attack Mod by Des, aka Zenia-chan
--------------------------------------------------
-- Your Homunculus will move while attacking
-- and can attack faster. However, it will not
-- recover HP/SP while attacking, due to these
-- movements.
--------------------------------------------------

--------------------------------------------------
function ModInit()
-- plugin initialization
--------------------------------------------------
StdOnATTACK_ST = OnATTACK_ST
OnATTACK_ST = FastOnATTACK_ST

end

--------------------------------------------------
function FastOnATTACK_ST()
--------------------------------------------------
local zx, zy = GetV( V_POSITION, MyEnemy )
StdOnATTACK_ST ()
Move(MyID,zx+1,zy)
Move(MyID,zx-1,zy)
StdOnATTACK_ST ()
Move(MyID,zx,zy+1)
Move(MyID,zx,zy-1)
end
